#ifndef FACETTE_RYTHME_H
#define FACETTE_RYTHME_H

#include "Facette.h"
#include <chrono>

using namespace std::literals;

class FacetteRythme : public Facette {
public:
   using duration = std::chrono::high_resolution_clock::duration;
private:
   duration freq = 50ms;
public:
   static inline Facette::id id;
   duration temps_iteration() const {
      return freq;
   }
};

#endif
