#include "Tache.h"
#include "GestionnaireTaches.h"
#include <iostream>
#include <memory>
using namespace std;

int main() {
   auto & ges = GestionnaireTaches::get();
   ges.ajouter(creer_tache_moyenne(), 2);
   ges.ajouter([] { cout << '.' << flush; }, 0);
   ges.ajouter(creer_tache_courte(), 0);
   ges.ajouter([] { cout << 3 << flush; }, 0);
   ges.ajouter([&dest = GestionnaireTaches::get(), avant_fin = 30]() mutable {
      if (--avant_fin == 0)
         dest.terminer();
   }, 0);
   while (!ges.fin_demandee())
      ges.executer();
   afficher_stats(cout);
   ges.afficher_stats(cout);
}
