#include "Tache.h"
#include <functional>
#include <random>
#include <thread>
#include <chrono>
using namespace std;
using namespace std::chrono;

class createur_tache_bidon {
   mt19937 prng{ random_device{}() };
   createur_tache_bidon() = default;
public:
   static auto &get() {
      static createur_tache_bidon singleton;
      return singleton;
   }
   auto creer(int n) {
      return[temps_requis = uniform_int_distribution<> { 0, n }(prng)]{
         this_thread::sleep_for(milliseconds{ temps_requis });
      };
   }
};

std::function<void()> creer_tache_bidon(int n) {
   return createur_tache_bidon::get().creer(n);
}

function<void()> creer_tache_courte() {
   return creer_tache_bidon(5);
}
function<void()> creer_tache_moyenne() {
   return creer_tache_bidon(25);
}
function<void()> creer_tache_longue() {
   return creer_tache_bidon(50);
}
