#ifndef TACHE_H
#define TACHE_H

#include <functional>

//
// Une tache est une unite de travail relativement
// lineaire faite par quelqu'un (un point d'entree)
//
// Quelques taches de demonstration et de test. Une vraie
// tache serait, par exemple, la construction d'une trame
//  afficher ou la consommation des donnees reues d'un
// lien reseau
//

std::function<void()> creer_tache_courte();
std::function<void()> creer_tache_moyenne();
std::function<void()> creer_tache_longue();

#endif
